scala.util.parsing

# combinator

#### package combinator

Visibility

1. Public
2. All

### Type Members

1. #### trait ImplicitConversions extends AnyRef

   This object contains implicit conversions that come in handy when using the `^^' combinator {@see Parsers} to construct an AST from the concrete syntax.`

2. #### trait JavaTokenParsers extends RegexParsers

   `JavaTokenParsers` differs from RegexParsers by adding the following definitions:

3. #### trait PackratParsers extends Parsers

   `PackratParsers` is a component that extends the parser combinators provided by `Parsers` with a memoization facility (``Packrat Parsing).``

4. #### trait Parsers extends AnyRef

   `Parsers` is a component that provides generic parser combinators.

5. #### trait RegexParsers extends Parsers

   The most important differences between `RegexParsers` and Parsers are:

### Value Members

1. #### package lexical

2. #### package syntactical

3. #### package testing

4. #### package token